Backlog Courrier - Ergonomie #12294

Optimisation des requétes de dossiers (+ de 2 000)
11/07/2019 11:20 AM - Ludovic ARAUJO

Status: Développé / Analysé (S) Start date: 11/07/2019
Priority: 1-Majeur Due date:

Assignee: Guillaume HEURTIER

Category:

Target version: 19.04 (Sécurité)

Tags Courrier: 19.04.14 ROADMAP:

Description

Version 19.04 et moins

Le nombre de dossiers influence les performances d'affichage des pages d'enregistrement et de qualification.

Le probléme a été constaté a la DREAL, ils ont plus de 2000 dossiers.
En supprimant les dossier de la base le temps reviens a la normal moins de 1.s pour I'affichage.
Avec les +2000 dossiers on passe a 20 sec d'attente

Config du serveur : 8 Go RAM/4 core - 3,5 Ghz

History

#1-11/07/2019 11:20 AM - Ludovic ARAUJO
- Description updated

#3 - 11/07/2019 03:26 PM - Emmanuel DILLARD

- Tracker changed from Anomalie to Ergonomie

- Subject changed from Optimisation des dossiers to Optimisation des requétes de dossiers (+ de 2 000)
- Status changed from A traiter to A étudier

- Target version set to 19.04 (Support sécurité)

Passé en Ergo / optimisation.

En version 20.01, la fonction Dossier a été entierement réécrite.

#4 - 11/27/2019 02:39 PM - Emmanuel DILLARD

- Target version changed from 19.04 (Support sécurité) to Inscription Backlog Courrier

#5 - 12/05/2019 03:52 PM - Ludovic ARAUJO

- Priority changed from 2-Sérieux to 0-Bloquant

#6 - 12/05/2019 03:59 PM - Emmanuel DILLARD
- Tracker changed from Ergonomie to Anomalie

- Status changed from A étudier to 17

- Assignee set to Ludovic ARAUJO

- Priority changed from 0-Bloquant to 1-Majeur

1. Monter une instance de test.
2. Donner I'URL pour analyse et éventuelle optimisation du code (si techniquement possible.
Mesure des temps, effets de pallier ?

#7 - 12/19/2019 09:48 AM - Ludovic ARAUJO
- Status changed from 17 to A traiter

- Priority changed from 1-Majeur to 0-Bloquant

Instance de recette :
http://217.70.190.26/MaarchCourrier/cs_dreal/apps/maarch_entreprise/index.php?page=view_baskets&module=basket&baskets=IndexingBasket

Test d'ouverture de la page d'indexation :
1000 dossiers : 4,10 s

2000 dossiers : 8,48 s

4000 dossiers : 19.29 s

Table consultée qui pose probléme : folders

Le script passé pour gonfler la table et effectuer les tests de monté en charge :

<?php
define (_PSQL_URL, 'maarch:maarch@localhost:5432/dreal');

var_dump ($Sargv) ;

for ($1 = 0;%1i < Sargv[1l];S$i++) {

Soutput = shell_exec("psgql 'postgresqgl://"._PSQL_URL."' —-c \"
insert into folders (folder_id, folder_name, foldertype_id,creation_date) values('test".$i."', 'test".S$i."
"y1l,now () \" ")

}

?>

La DREAL utilise plus de 2500 dossiers et continue d'en créer.
Le CD36 risquerait d'arriver a un stade critique aussi dans pas longtemps.

Aujourd'hui la DREAL doit attendre 8 a 12 sec aprés chaque scan.

#8 - 12/19/2019 12:45 PM - Emmanuel DILLARD
http://217.70.190.26/MaarchCourrier/cs_dreal/apps/maarch_entreprise/index.php?page=view_baskets&module=basket&baskets=IndexingBasket

- Tracker changed from Anomalie to Ergonomie
- Status changed from A traiter to Etude planifiée
- Assignee changed from Ludovic ARAUJO to EDI PO

- Priority changed from 0-Bloquant to 1-Majeur

#9 - 12/20/2019 02:29 PM - Emmanuel DILLARD

- Status changed from Etude planifiée to Prét a développer

#12 - 03/24/2020 02:45 PM - Florian AZIZIAN

- Target version changed from Inscription Backlog Courrier to 19.04 (Support sécurité)

#13 - 03/31/2020 12:05 PM - Emmanuel DILLARD
- Project changed from Backlog to CURRENT SPRINT
- Status changed from Prét a développer to En cours de dev (S)

- Tags Courrier 19.04.14 added

Mécanique v2 ?

#15 - 03/31/2020 03:51 PM - Florian AZIZIAN
- Assignee deleted (EDI PO)

#16 - 04/06/2020 10:52 AM - Guillaume HEURTIER
- Assignee set to Guillaume HEURTIER

#17 - 04/06/2020 05:05 PM - Guillaume HEURTIER
- Status changed from En cours de dev (S) to Développé / Analysé (S)

#18 - 04/14/2020 10:42 AM - Emmanuel DILLARD
- Project changed from CURRENT SPRINT to Backlog

#19 - 06/09/2021 11:07 AM - Emmanuel DILLARD

- Project changed from Backlog to Backlog Courrier

- Target version changed from 19.04 (Support sécurité) to 19.04 (Sécurité)
